Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007554OCamltools (ocaml{lex,yacc,dep,debug,...})public2017-06-07 12:262018-07-19 17:40
Reporternbb 
Assigned Totrefis 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Platformx86_64OSMacOsOS Version12.5
Product Version4.04.1 
Target VersionFixed in Version4.08.0+dev 
Summary0007554: identifiers not recognized by ocaml when assigned by deconstructing a tuple
Descriptionconsider this snippet:

let n, nstop, nex = List.(length resokerr, length lims, length exceptions) in
Printf.printf "%d stopped iterations (%.0f%%)\n"
    nstop (float_of_int nstop /. float_of_int n *. 100.);


when stepping into the printf line with ocamldebug, neither of n, nstop, nex can be printed.
Steps To Reproduceassign identifiers in tuple form. then try to print while they are in scope.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0017848)
dra (developer)
2017-06-07 16:09

I've only done a quick check, but I can confirm that this was not a problem in 4.02.2 and is still a problem in 4.04.1
(0019059)
matt (reporter)
2018-04-25 11:42

Also reproduced in 4.06.1
(0019084)
trefis (manager)
2018-05-01 12:10

This regression was introduced by https://github.com/ocaml/ocaml/commit/aaeda7763bca8402cb2e53bdb57a456a04ada04b [^] which address 0004800 .

My guess (though I haven't dived in the code yet) is that the optimization produces new idents that are not added in the environment (I don't know whether that issue arises in Matching or Simplif).

- Issue History
Date Modified Username Field Change
2017-06-07 12:26 nbb New Issue
2017-06-07 16:08 dra Status new => confirmed
2017-06-07 16:08 dra Product Version 4.04.0 => 4.04.1
2017-06-07 16:08 dra Description Updated View Revisions
2017-06-07 16:09 dra Note Added: 0017848
2018-04-25 11:42 matt Note Added: 0019059
2018-05-01 12:10 trefis Note Added: 0019084
2018-07-19 17:40 gasche Status confirmed => resolved
2018-07-19 17:40 gasche Fixed in Version => 4.08.0+dev
2018-07-19 17:40 gasche Resolution open => fixed
2018-07-19 17:40 gasche Assigned To => trefis


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker